#! /bin/bash

case $1 in
a)	NAME=$(getent passwd $(ps -g alumnos -o user --sort=-etime | sed -n 2p) | awk -F ':' '{print $5}')
	COMM=$(ps -g alumnos -o args --sort=-etime | sed -n 2p)
	TIME=$(ps -g alumnos -o etime --sort=-etime | sed -n 2p)
	;;
p)	NAME=$(getent passwd $(ps -g profesores -o user --sort=-etime | sed -n 2p) | awk -F ':' '{print $5}')
        COMM=$(ps -g profesores -o args --sort=-etime | sed -n 2p)
        TIME=$(ps -g profesores -o etime --sort=-etime | sed -n 2p)
        ;;
"")	NAME=$(getent passwd $(ps -eo user --sort=-etime | sed -n 2p) | awk -F ':' '{print $5}')
        COMM=$(ps -eo args --sort=-etime | sed -n 2p)
        TIME=$(ps -eo etime --sort=-etime | sed -n 2p)
        ;;
esac

if [[ -n $NAME && -n $COMM && -n $TIME ]] 
then
	echo "Nombre real de usuario: $NAME"
	echo "Comando ejecutado: $COMM"
	echo "Tiempo: $TIME"
else
	echo "Opción inválida. Use 'a', 'p' o deje vacío"
fi
